Subject: [DNSOP] followup - We want to have fruitful discussions - please review

From: "Hosnieh Rafiee" <[email-masked]>
Date: Fri, 28 Feb 2014 16:03:20 +0100

Followup: 

I forgot to mention that what are CGA parameters (that is really important)

The most important parameter is public key. So CGA uses the hash of public
key and after some conditions and settings, set the CGA value as a 64
rightmost bits of an IPv6 address

IIPv6= Subnetprefix + cga value

So, this makes a binding between the IP address and the public key. 

> If you don't know anything about CGA, I try to explain it in a very simple
> example:
> 
> Note that all values are in hexadecimal
> 
> CGA parameters=
> e387d788a9e529701ba9baf0bb3694de20051abcab8c7dc000e581e41c689
> 1dd5c06fee6f3ab
> 149bcf00d18d90534606354b8b8d7511ff90552393f974082732f16b646a97
> d336190c26d5e1
> 0347422ebfd6da4036d1e363f9de5c85091448b330ca8b541d246c378de29
> e9f37b19c072974
> 2d0a04ac0befe2e5069dd16cea03762b6d621d5d15fbf00131a5ee48f91d5a
> 46396af46d01e6
> 17010001
> 
> 
> Sha1(CGA parameters) = e584448d597e3c927805fc18250598a1d1b71b46
> now set bits u and g and sec value so only the first bytes will change
> 
> CGA value= 2784448d
> 
> Thank you and looking forward to see you all in our talk. Since I cannot
> make it and will not be in London, Erik will present in my place but can
> answer some questions and I will also follow it in jabber. I hope to see a
> fruitful conversations :-)
>